List Network Connection Sources
curl -X GET "https://api.prd.rad.security/accounts/example_string/container_runtime_insights/network_connection_sources?filters=example_string&q=example_string&limit=42&offset=42&sort=example_string" \
-H "Content-Type: application/json"
import requests
import json
url = "https://api.prd.rad.security/accounts/example_string/container_runtime_insights/network_connection_sources?filters=example_string&q=example_string&limit=42&offset=42&sort=example_string"
headers = {
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.prd.rad.security/accounts/example_string/container_runtime_insights/network_connection_sources?filters=example_string&q=example_string&limit=42&offset=42&sort=example_string", {
method: "GET",
headers: {
"Content-Type": "application/json"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.prd.rad.security/accounts/example_string/container_runtime_insights/network_connection_sources?filters=example_string&q=example_string&limit=42&offset=42&sort=example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.prd.rad.security/accounts/example_string/container_runtime_insights/network_connection_sources?filters=example_string&q=example_string&limit=42&offset=42&sort=example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
response = http.request(request)
puts response.body
{
"entries": [
{
"account_id": "example_string",
"addr_destinations_count": 10,
"cluster_id": "example_string",
"first_seen_at": "example_string",
"hostname_destinations_count": 10,
"last_seen_at": "example_string",
"workload_destinations_count": 10,
"workload_kind": "example_string",
"workload_name": "John Doe",
"workload_namespace": "John Doe"
}
],
"has_more": true,
"total_count": 10
}
{
"code": "example_string",
"request_id": "example_string",
"status": 42,
"validation_details": [
{
"code": "example_string",
"field": "example_string",
"message": "example_string",
"param": "example_string"
}
]
}
GET
/accounts/{account_id}/container_runtime_insights/network_connection_sourcesGET
Base URLstring
Target server for requests. Edit to use your own host.
path
account_idstring
RequiredAccount id
query
filtersstring
Filters in format: key1:value1,key2:value2
query
qstring
Search phrase
query
limitinteger
Maximum number of results to return. Default: 100
query
offsetinteger
Number of results to skip. Default: 0
query
sortstring
Sort by field. Default: last_seen_at:desc
Request Preview
Response
Response will appear here after sending the request
Path Parameters
account_idstring
RequiredAccount id
Query Parameters
filtersstring
Filters in format: key1:value1,key2:value2
qstring
Search phrase
limitinteger
Maximum number of results to return. Default: 100
offsetinteger
Number of results to skip. Default: 0
sortstring
Sort by field. Default: last_seen_at:desc
Responses
entriesarray
has_moreboolean
total_countinteger
Was this page helpful?